## golang-1.7 1.7~beta1

=== debian/changelog ===
golang-1.7 (1.7~beta1-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Drop patches, included in upstream:
    - d/patches/0001-s390x-port.patch
    - d/patches/0002-no-pie-when-race.patch
  * Add patch:
    - d/patches/0001-cmd-go-test-deflake.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Jun 2016 21:22:33 +1200

golang-1.6 (1.6.2-0ubuntu4) yakkety; urgency=medium

  * Fix d/patches/0002-no-pie-when-race.patch.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 29 Apr 2016 10:45:00 +1200

golang-1.6 (1.6.2-0ubuntu3) yakkety; urgency=medium

  * Replace d/patches/0002-no-pie-when-race.patch with version that went
    upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 29 Apr 2016 09:05:51 +1200

golang-1.6 (1.6.2-0ubuntu2) yakkety; urgency=medium

  * Add d/patches/0002-no-pie-when-race.patch to fix amd64 FTBFS. (LP: #1574916)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Apr 2016 13:57:00 +1200

golang-1.6 (1.6.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release. (LP: #1567096)
  * Drop d/patches/0002-maxcpus-fix.patch, included in release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Apr 2016 10:47:26 +1200

golang-1.6 (1.6.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Drop d/patches/0003-crypto-dsa-eliminate-invalid-PublicKey-early.patch, 
    included in reelase.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 14:03:09 +1200

golang-1.6 (1.6-0ubuntu5) xenial; urgency=medium

  * Fix GOVER calculation in debian/rules to only pull out MAJOR.MINOR.
  * Two patches backported from upstream tip:
    - d/patches/0002-maxcpus-fix.patch (LP: #1565978)
    - d/patches/0003-crypto-dsa-eliminate-invalid-PublicKey-early.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Apr 2016 13:54:12 +1200

golang-1.6 (1.6-0ubuntu4) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM, making syscall types
    match those that will be in Go 1.7.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Apr 2016 15:47:35 +1200

golang-1.6 (1.6-0ubuntu3) xenial; urgency=medium

  * Fix broken symlinks in golang-X.Y-doc.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 30 Mar 2016 14:04:04 +1300

golang-1.6 (1.6-0ubuntu2) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo. (LP: #1561271)
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it. (LP: #1561343)
  * Remove Breaks/Replaces of trusty golang packages (moves to golang-defaults).
  * Recommend golang-X.Y-race-detector-runtime rather than unversioned package.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 23 Mar 2016 20:10:13 +1300

golang-1.6 (1.6-0ubuntu1) xenial; urgency=medium

  * Build golang version-specific packages (LP: #1555856)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Drop "Build empty golang-go and golang-src packages on architectures without
      golang".
    - Remove man pages.
    - Do not suggest golang-golang-x-tools.
    - Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Mon, 07 Mar 2016 17:01:40 +1300

golang (2:1.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable (LP: #1551489).  Remaining changes:
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355).
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
    - Add d/patches/0001-s390x-port.patch from IBM's repo.
    - Updates for s390x support.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 01 Mar 2016 13:35:02 +1300

golang (2:1.6-1) unstable; urgency=medium

  * Update to 1.6 upstream release (thanks Hilko!)
    - change "ar" arguments to quiet spurious warnings while using gccgo
      (Closes: #807138)
    - skip multicast listen test (Closes: #814849)
    - skip userns tests when chrooted (Closes: #807303)
    - use correct ELF header for armhf binaries (Closes: #734357)
    - Update debian/rules clean for new location of generated file.

  [ Michael Hudson-Doyle ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS while building to skip tests
    (Closes: #807290)
  * Trim Build-Depends (Closes: #807299)
  * Fix several minor debian/copyright issues (Closes: #807304)
  * Remove inconsistently included race-built packages (Closes: #807294)

  [ Tianon Gravi ]
  * Add "-k" to "run.bash" invocation so that we do a full test run every time

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Feb 2016 16:10:32 -0800

golang (2:1.6-0ubuntu3) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2016 16:50:57 +0100

golang (2:1.6-0ubuntu1) xenial; urgency=medium

  * Go 1.6 release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 18:56:52 +0100

golang (2:1.6~rc2-0ubuntu1) xenial; urgency=medium

  * New upstream version. (LP: #1541660)
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 04 Feb 2016 14:06:36 +1300

golang (2:1.6~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Fri, 29 Jan 2016 10:22:32 +1300

golang (2:1.6~beta2-0ubuntu1) xenial; urgency=medium


