## golang-1.7 1.7~rc3

=== debian/changelog ===
golang-1.7 (1.7~rc3-1ubuntu3) yakkety; urgency=medium

  * Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:41:47 +1200

golang-1.7 (1.7~rc3-1ubuntu2) yakkety; urgency=medium

  * Reenable building on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:49:37 +1200

golang-1.7 (1.7~rc3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 21:23:34 +1200

golang-1.7 (1.7~rc3-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Remove outdated README files (README.source and README.Debian)

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Suppress inaccurate source-is-missing lintian warnings. 
  * Update Standards-Version to 3.9.8 (no changes required). 

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 18:31:57 -0700

golang-1.7 (1.7~rc2-1) unstable; urgency=medium

  * Update to 1.7rc2 upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Jul 2016 14:40:14 +1200

golang-1.7 (1.7~rc1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tianon Gravi ]
  * Update to 1.7rc1 upstream release (new packages, not used by default; see
    also src:golang-defaults)
  * Update Vcs-Git to reference a particular branch

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 16:10:12 -0700

golang-1.7 (1.7~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Jul 2016 16:54:23 +1200

golang-1.7 (1.7~beta2-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Drop patch, included in releae:
    - d/patches/0001-cmd-go-test-deflake.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 20 Jun 2016 11:28:44 +1200

golang-1.6 (1.6.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - s390x support from IBM (and related packaging changes).
    - d/patches/0002-no-pie-when-race.patch to fix amd64 FTBFS.
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jun 2016 14:02:55 +1200

golang-1.6 (1.6.2-1) unstable; urgency=medium

  * Update to 1.6.2 upstream release (Closes: #825696)
  * Build-Depend on golang-any instead of golang-go (Closes: #824421)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Jun 2016 07:50:44 -0700

golang-1.6 (1.6.1-1) unstable; urgency=medium

  * Build golang version-specific packages (Closes: #818415)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Man pages.
    - Suggesting golang-golang-x-tools.
    - Breaks/Replace-ing of old golang-go-$GOOS-$GOARCH packages.
  * Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Jun 2016 10:04:53 -0700

golang (2:1.6.1-2) unstable; urgency=medium

  * Don't strip testdata files, causes build failures on some platforms. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 15:47:46 -0700

golang (2:1.6.1-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
    smooth upgrades.
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it.

  [ Tianon Gravi ]
  * Update to 1.6.1 upstream release (Closes: #820369)
    - Fix CVE-2016-3959: infinite loop in several big integer routines

 -- Tianon Gravi <tianon@debian.org>  Tue, 12 Apr 2016 23:06:43 -0700

golang-1.6 (1.6.2-0ubuntu5) yakkety; urgency=medium

  * cgo and epoll fixes for s390x. (LP: #1591010)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Jun 2016 13:02:04 +1200
