## golang-1.7 1.7

=== debian/changelog ===
golang-1.7 (1.7-3+rpi1) stretch-staging; urgency=medium

  [changes brought forward from golang 2:1.5.3-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 21 Jan 2016 20:49:39 +0000]
  * Force build for armv6.
  
  [changes introduced in golang 2:1.6.1-2+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 30 Aug 2016 22:08:09 +0000

golang-1.7 (1.7-3) unstable; urgency=medium

  * Add "s390x" to Architectures

 -- Tianon Gravi <tianon@debian.org>  Tue, 23 Aug 2016 07:35:16 -0700

golang-1.7 (1.7-2) unstable; urgency=medium

  * Disable tests on armel.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 15:18:07 +1200

golang-1.7 (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 11:37:34 +1200

golang-1.7 (1.7~rc4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 02 Aug 2016 15:10:22 +1200

golang-1.6 (1.6.2-2) unstable; urgency=medium

  * Update "golang-any" in "Build-Depends" to fallback to "golang-go | gccgo"
    (will help with backporting)

 -- Tianon Gravi <tianon@debian.org>  Thu, 23 Jun 2016 20:01:00 -0700
