=== debian/rules ===
--- 
+++ 
@@ -6,19 +6,19 @@
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
+export GOARM := 6
 
-DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 RUN_TESTS := true
-ifeq (ppc64, $(DEB_HOST_ARCH))
+# armel: ???
+# ppc64: ???
+# s390x: https://github.com/golang/go/issues/16780
+ifneq (,$(filter armel ppc64 s390x,$(DEB_HOST_ARCH)))
 	RUN_TESTS := false
 endif
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	RUN_TESTS := false
 endif
-
-shlib_archs = $(shell GOVER=$(GOVER) perl debian/helpers/getshlibarches.pl)
-
-multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	+dh --parallel $(opt_no_act) $@
@@ -49,7 +49,7 @@
 
 override_dh_prep:
 	dh_prep
-	@set -e; cd debian; for x in *golang-X.Y-*; do \
+	@set -e; cd debian; for x in golang-X.Y-*; do \
 		sed -e 's/X.Y/$(GOVER)/g' $$x > golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
 
@@ -82,13 +82,7 @@
 	dh_install --fail-missing
 
 override_dh_install-arch:
-	set -ex; \
-		export PATH="$(GOROOT)/bin:$$PATH"; \
-		$(CURDIR)/debian/helpers/installshlib.sh
 	dh_install --fail-missing
-	# Remove .syso files of the race detector; they are binary files that
-	# are not built from source in the go source distribution.
-	find $(CURDIR)/debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/runtime/race -type f -name '*.syso' -delete
 	# Remove Plan9 rc(1) scripts
 	find debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src -type f -name '*.rc' -delete
 	# Remove empty /usr/share/go-$(GOVER)/src from golang-$(GOVER)-go, it is provided by golang-$(GOVER)-src
@@ -103,21 +97,12 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -Xtestdata -Xtest
 
-override_dh_makeshlibs:
-	LDIR=$(CURDIR)/debian/libgolang-$(GOVER)-std1/usr/lib/$(multiarch); \
-	HASH=$$(LD_LIBRARY_PATH=$$LDIR:$$LD_LIBRARY_PATH $(CURDIR)/bin/readabihash $$LDIR/libgolang-$(GOVER)-std.so.1); \
-	dh_makeshlibs -Vlibgolang-$(GOVER)-std1-$$HASH; \
-	echo "golang:Provides=libgolang-$(GOVER)-std1-$$HASH" >> $(CURDIR)/debian/libgolang-$(GOVER)-std1.substvars
-
 override_dh_auto_build-arch:
 	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
 	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) \
 		&& cd src \
 		&& $(CURDIR)/debian/helpers/goenv.sh \
 			bash ./make.bash --no-banner
-	$(CURDIR)/bin/go install -v -buildmode=shared \
-		-ldflags '-extldflags "-Wl,-soname=libgolang-$(GOVER)-std.so.1"' \
-		std
 
 opt_no_act :=
 ifneq (,$(findstring n,$(MAKEFLAGS)))
