## golang-1.7 1.7.1

=== debian/changelog ===
golang-1.7 (1.7.1-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Sep 2016 19:48:12 +1200

golang-1.7 (1.7.1-2) unstable; urgency=medium

  * Add upstream patch for s390x FTBFS

 -- Tianon Gravi <tianon@debian.org>  Mon, 12 Sep 2016 09:32:10 -0700

golang-1.7 (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable tests on s390x now that gcc-6 has been fixed in unstable. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Sep 2016 13:04:33 +1200

golang-1.7 (1.7-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build on s390x.
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 Aug 2016 10:53:14 +1200
