=== debian/control ===
--- 
+++ 
@@ -1,3 +1,7 @@
+#
+# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
+#
+
 Source: golang-1.7
 Section: devel
 Priority: optional
@@ -5,13 +9,14 @@
 XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Tianon Gravi <tianon@debian.org>
+           Tianon Gravi <tianon@debian.org>,
+           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
-Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang.git -b golang-1.7
 Build-Depends: debhelper (>= 7.4.10),
-               golang-go (>= 2:1.4.2-2~) | gccgo-6,
+               golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://golang.org
 
 Package: golang-1.7-go
@@ -96,3 +101,25 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
+
+Package: libgolang-1.7-std1
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
+Pre-Depends: ${misc:Pre-Depends}
+Provides: ${golang:Provides}
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Description: Go standard shared library
+ This package contains the Go standard library built as a shared library.
+ Packages should not depend on this package directly but rather the ABI-stamped
+ value in Provides:. dpkg-shlibdeps will do this automatically.
+
+Package: golang-1.7-go-shared-dev
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
+Pre-Depends: ${misc:Pre-Depends}
+Depends: golang-1.7-go (= ${binary:Version}),
+         libgolang-1.7-std1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
+Description: Go standard shared library support files
+ This package contains the files necessary to link against the shared
+ library packaged in libgolang-1.7-std1.
