## golang-1.7 1.7.3

=== debian/changelog ===
golang-1.7 (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete d/patches/cl-28850.patch, applied upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 09:10:47 +1300

golang-1.7 (1.7.1-3) unstable; urgency=medium

  * Backport CL 29995 for tzdata 2016g changes (Closes: #839317)

 -- Tianon Gravi <tianon@debian.org>  Mon, 03 Oct 2016 15:12:28 -0700
