## golang-1.7 1.7.4

=== debian/changelog ===
golang-1.7 (1.7.4-2+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Add patch to fix CVE-2019-6486
  * Add patch to fix CVE-2018-7187

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Jan 2019 22:24:55 +0100

golang-1.7 (1.7.4-2) unstable; urgency=medium

  * Backport CL 37964 for tzdata 2017a changes (Closes: #859583)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 05 Apr 2017 11:53:49 +1200

golang-1.7 (1.7.4-1) unstable; urgency=medium

  * Update to 1.7.4 upstream release (Closes: #846545)
    - https://groups.google.com/d/topic/golang-announce/2lP5z9i9ySY/discussion
    - https://golang.org/issue/17965 (potential DoS vector in net/http)
    - https://github.com/golang/go/compare/go1.7.3...go1.7.4

 -- Tianon Gravi <tianon@debian.org>  Fri, 02 Dec 2016 13:30:36 -0800
