=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: golang-1.7
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -25,11 +24,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: g++,
-            gcc,
-            golang-1.7-race-detector-runtime [amd64],
-            libc6-dev,
-            pkg-config
+Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
@@ -101,25 +96,3 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
-
-Package: libgolang-1.7-std1
-Architecture: amd64 arm64 armhf i386 ppc64el s390x
-Pre-Depends: ${misc:Pre-Depends}
-Provides: ${golang:Provides}
-Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Description: Go standard shared library
- This package contains the Go standard library built as a shared library.
- Packages should not depend on this package directly but rather the ABI-stamped
- value in Provides:. dpkg-shlibdeps will do this automatically.
-
-Package: golang-1.7-go-shared-dev
-Architecture: amd64 arm64 armhf i386 ppc64el s390x
-Pre-Depends: ${misc:Pre-Depends}
-Depends: golang-1.7-go (= ${binary:Version}),
-         libgolang-1.7-std1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Go standard shared library support files
- This package contains the files necessary to link against the shared
- library packaged in libgolang-1.7-std1.
