=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,12 @@
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
-export GOARM := 6
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 RUN_TESTS := true
 # armel: ???
 # ppc64: ???
-# s390x: https://github.com/golang/go/issues/16780
-ifneq (,$(filter armel ppc64 s390x,$(DEB_HOST_ARCH)))
+ifneq (,$(filter armel ppc64,$(DEB_HOST_ARCH)))
 	RUN_TESTS := false
 endif
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
