## golang-1.7 1.7.6

=== debian/changelog ===
golang-1.7 (1.7.6-2) unstable; urgency=medium

  * Add 0001-Fix-FTBFS-with-Perl-526.patch
  * Rename old style config section [git-dch] to [dch]

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 25 Jul 2017 08:23:42 +0200

golang-1.7 (1.7.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #863308)
  * Remove d/patches/cl-29995--tzdata-2016g.patch, applied upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 01 Jun 2017 21:31:53 +1200
